import { QueryAutoCompleter } from './query-autocompleter';
import type { Ace } from 'ace-builds';
import type { CompletionWithServerInfo } from '../types';
declare class StageAutoCompleter implements Ace.Completer {
    version: string;
    textCompleter: Ace.Completer;
    fields: CompletionWithServerInfo[];
    stageOperator: string | null;
    queryAutoCompleter: QueryAutoCompleter;
    constructor(version: string, textCompleter: Ace.Completer, fields: CompletionWithServerInfo[], stageOperator?: string | null);
    update(fields: CompletionWithServerInfo[], stageOperator: string | null, severVersion?: string): void;
    updateStageOperator(stageOperator: string | null): void;
    getCompletions: Ace.Completer['getCompletions'];
}
export { StageAutoCompleter };
//# sourceMappingURL=stage-autocompleter.d.ts.map